Bug 1426928 - python-sphinx-1.6.4 is available
Summary: python-sphinx-1.6.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1466685
Blocks: 1435494
TreeView+ depends on / blocked
 
Reported: 2017-02-26 12:18 UTC by Upstream Release Monitoring
Modified: 2017-10-02 14:24 UTC (History)
5 users (show)

Fixed In Version: python-sphinx-1.6.3-1.fc26 python-sphinx-1.6.4-1.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-02 14:24:24 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2017-02-26 12:18:11 UTC
Latest upstream release: 1.5.3
Current version/release in rawhide: 1.5.2-2.fc26
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 1 Upstream Release Monitoring 2017-02-26 12:18:21 UTC
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues

Comment 2 Upstream Release Monitoring 2017-04-02 12:21:31 UTC
Latest upstream release: 1.5.4
Current version/release in rawhide: 1.5.2-2.fc26
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 3 Upstream Release Monitoring 2017-04-02 12:21:39 UTC
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues

Comment 4 Upstream Release Monitoring 2017-04-04 00:23:15 UTC
Latest upstream release: 1.5.5
Current version/release in rawhide: 1.5.2-2.fc26
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 5 Upstream Release Monitoring 2017-04-04 00:23:20 UTC
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues

Comment 6 Upstream Release Monitoring 2017-04-24 00:21:45 UTC
Latest upstream release: 1.6b1
Current version/release in rawhide: 1.5.2-2.fc26
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 7 Upstream Release Monitoring 2017-04-24 00:21:49 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 8 Upstream Release Monitoring 2017-04-30 00:21:14 UTC
Latest upstream release: 1.6b2
Current version/release in rawhide: 1.5.2-2.fc26
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 9 Upstream Release Monitoring 2017-04-30 00:21:22 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 10 Upstream Release Monitoring 2017-05-07 12:21:28 UTC
Latest upstream release: 1.6b3
Current version/release in rawhide: 1.5.2-2.fc26
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 11 Upstream Release Monitoring 2017-05-07 12:21:36 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 12 Upstream Release Monitoring 2017-05-17 00:23:30 UTC
Latest upstream release: 1.6.1
Current version/release in rawhide: 1.5.2-2.fc26
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 13 Upstream Release Monitoring 2017-05-17 00:23:34 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 14 Upstream Release Monitoring 2017-05-29 00:24:28 UTC
Latest upstream release: 1.6.2
Current version/release in rawhide: 1.5.2-2.fc26
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 15 Upstream Release Monitoring 2017-05-29 00:24:36 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 16 Alan Pevec 2017-06-30 11:40:44 UTC
We had to update RDO to Sphinx 1.6.2 because of OpenStack upstream requirements:
https://review.openstack.org/477596

Please have a look and push to Fedora or let us know what to change:
https://github.com/rdo-common/python-sphinx/commit/a825b8f149ef4b64f7fa170b514ab376d367c1b1

Note there is a new dependency, sphinxcontrib-websupport, already packaged by jpena.

Comment 17 Upstream Release Monitoring 2017-07-02 12:24:48 UTC
Latest upstream release: 1.6.3
Current version/release in rawhide: 1.5.2-2.fc26
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 18 Upstream Release Monitoring 2017-07-02 12:24:53 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 19 Charalampos Stratakis 2017-07-20 15:19:50 UTC
Latest version is FTBFS due to upstream tests failing

Comment 20 Charalampos Stratakis 2017-07-20 18:28:15 UTC
Figured out the issues and built the latest version for rawhide and F26 [0]

[0] http://pkgs.fedoraproject.org/cgit/rpms/python-sphinx.git/commit/?id=6fe65c3b4d066db615b324b44fe3591b64f5cf0b

Comment 21 Fedora Update System 2017-07-20 18:40:47 UTC
python-sphinx-1.6.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd973aeadf

Comment 22 Upstream Release Monitoring 2017-07-20 18:47:16 UTC
cstratak's python-sphinx-1.6.3-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=920759

Comment 23 Fedora Update System 2017-07-23 09:58:19 UTC
python-sphinx-1.6.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd973aeadf

Comment 24 Fedora Update System 2017-07-26 18:21:59 UTC
python-sphinx-1.6.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Petr Pisar 2017-09-15 11:13:00 UTC
The 1.6.3 breaks various packages in F26 <https://apps.fedoraproject.org/koschei/affected-by/python2-sphinx?release1=2.fc26&version1=1.5.2&version2=1.6.3&release2=1.fc26&collection=f26&epoch2=0&epoch1=0>. It's irresponsible to do such rebases in already released Fedora. You should revert it.

Comment 26 Upstream Release Monitoring 2017-09-21 09:27:35 UTC
cstratak's python-sphinx-1.6.3-3.fc28 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=973344

Comment 27 Upstream Release Monitoring 2017-09-26 12:28:59 UTC
Latest upstream release: 1.6.4
Current version/release in rawhide: 1.6.3-3.fc28
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 28 Upstream Release Monitoring 2017-09-26 12:29:04 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 29 Fedora Update System 2017-09-26 13:55:05 UTC
python-sphinx-1.6.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0092050c6f

Comment 30 Upstream Release Monitoring 2017-09-26 14:20:03 UTC
cstratak's python-sphinx-1.6.4-1.fc28 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=975479

Comment 31 Fedora Update System 2017-09-26 17:55:51 UTC
python-sphinx-1.6.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0092050c6f

Comment 32 Fedora Update System 2017-10-02 14:24:24 UTC
python-sphinx-1.6.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.